apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: production-nodejs-app
  namespace: argocd
spec:
  project: production

  source:
    repoURL: https://gitlab.com/nhuthanhphong.1984/demo-cd.git
    targetRevision: HEAD
    path: k8s/manifest/prod/nodejs
  destination: 
    server: https://kubernetes.default.svc
    namespace: production

  syncPolicy:
    syncOptions:
    - CreateNamespace=true

    automated:
      selfHeal: true
      prune: true